#### Previous topic

scipy.special.bdtrc

#### Next topic

scipy.special.bdtrik

# scipy.special.bdtri

`scipy.special.``bdtri`(k, n, y) = <ufunc 'bdtri'>

  Inverse function to `bdtr` with respect to p.

  Finds the event probability p such that the sum of the terms 0 through k of the binomial probability density is equal to the given cumulative probability y.

  Parameters:

  k : array_like

  > Number of successes (float).

  n : array_like

  > Number of events (float)

  y : array_like

  > Cumulative probability (probability of k or fewer successes in n events).

  Returns:

  p : ndarray

  > The event probability such that bdtr(k, n, p) = y.

  See also

  `bdtr`, `betaincinv`

  Notes

  The computation is carried out using the inverse beta integral function and the relation,:

      1 - p = betaincinv(n - k, k + 1, y).

  Wrapper for the Cephes [R346] routine `bdtri`.

  References

  [R346] | (1, 2) Cephes Mathematical Functions Library, http://www.netlib.org/cephes/index.html